KYUA-REPORT(1)

NAME
kyua report - Generates reports with the results of a test suite run

SYNOPSIS
kyua report [--output path] [--results-file file] [--results-filter types] [--verbose] [test_filter1 .. test_filterN]

DESCRIPTION
The kyua report command parses a results file and generates a user-friendly, plaintext report for user consumption on the terminal. By default, these reports only display a summary of the execution of the full test suite to highlight where problems may lie.

The output of kyua report can be customized to display full details on all executed test cases. Additionally, the optional arguments to kyua report are used to select which test programs or test cases to display. These are filters and are described below in Test filters.

Reports generated by kyua report are not intended to be machine-parseable.

The following subcommand options are recognized:

--output path
    Specifies the path to which the report should be written to. The special values /dev/stdout and /dev/stderr can be used to specify the standard output and the standard error, respectively.

--results-file path, -r path
    __include__ results-file-flag-read.mdoc

--results-filter types
    Comma-separated list of the test result types to include in the report. The ordering of the values is respected so that you can determine how you want the list of tests to be shown.

    The valid values are: ‘broken’, ‘failed’, ‘passed’, ‘skipped’ and ‘xfail’. If the parameter supplied to the option is empty, filtering is suppressed and all result types are shown in the report.

    The default value for this flag includes all the test results except the passed tests. Showing the passed tests by default clutters the report with too much information, so only abnormal conditions are included.

--verbose
    Prints a detailed report of the execution. In addition to all the information printed by default, verbose reports include the runtime context of the test suite run, the metadata of each test case, and the verbatim output of the test cases.

  Results files
__include__ results-files.mdoc

  Test filters
__include__ test-filters.mdoc

EXIT STATUS
The kyua report command returns 0 if no filters were specified or if all filters match one or more test cases. If any filter fails to match any test case, the command returns 1.

Additional exit codes may be returned as described in kyua(1).

EXAMPLES
__include__ results-files-report-example.mdoc REPORT_COMMAND=report

SEE ALSO
kyua(1), kyua-report-html(1), kyua-report-junit(1)